//Copyright (C)2014-2025 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//Tool Version: V1.9.11.02 (64-bit)
//Part Number: GW5AST-LV138FPG676AC1/I0
//Device: GW5AST-138
//Device Version: B
//Created Time: Tue May  6 09:30:38 2025

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

	AHB_to_AXI_Bridge_Top your_instance_name(
		.AHB_HCLK(AHB_HCLK), //input AHB_HCLK
		.AHB_HRESETN(AHB_HRESETN), //input AHB_HRESETN
		.AHB_HSEL(AHB_HSEL), //input AHB_HSEL
		.AHB_HWRITE(AHB_HWRITE), //input AHB_HWRITE
		.AHB_HSIZE(AHB_HSIZE), //input [2:0] AHB_HSIZE
		.AHB_HBURST(AHB_HBURST), //input [2:0] AHB_HBURST
		.AHB_HPROT(AHB_HPROT), //input [3:0] AHB_HPROT
		.AHB_HTRANS(AHB_HTRANS), //input [1:0] AHB_HTRANS
		.AHB_HADDR(AHB_HADDR), //input [31:0] AHB_HADDR
		.AHB_HRDATA(AHB_HRDATA), //output [31:0] AHB_HRDATA
		.AHB_HWDATA(AHB_HWDATA), //input [31:0] AHB_HWDATA
		.AHB_HREADY(AHB_HREADY), //input AHB_HREADY
		.AHB_HREADYOUT(AHB_HREADYOUT), //output AHB_HREADYOUT
		.AHB_HRESP(AHB_HRESP), //output AHB_HRESP
		.AXI_ACLK(AXI_ACLK), //input AXI_ACLK
		.AXI_ARESETN(AXI_ARESETN), //input AXI_ARESETN
		.AXI_ARADDR(AXI_ARADDR), //output [31:0] AXI_ARADDR
		.AXI_ARBURST(AXI_ARBURST), //output [1:0] AXI_ARBURST
		.AXI_ARCACHE(AXI_ARCACHE), //output [3:0] AXI_ARCACHE
		.AXI_ARLEN(AXI_ARLEN), //output [7:0] AXI_ARLEN
		.AXI_ARLOCK(AXI_ARLOCK), //output AXI_ARLOCK
		.AXI_ARPROT(AXI_ARPROT), //output [2:0] AXI_ARPROT
		.AXI_ARREADY(AXI_ARREADY), //input AXI_ARREADY
		.AXI_ARSIZE(AXI_ARSIZE), //output [2:0] AXI_ARSIZE
		.AXI_ARVALID(AXI_ARVALID), //output AXI_ARVALID
		.AXI_AWADDR(AXI_AWADDR), //output [31:0] AXI_AWADDR
		.AXI_AWBURST(AXI_AWBURST), //output [1:0] AXI_AWBURST
		.AXI_AWCACHE(AXI_AWCACHE), //output [3:0] AXI_AWCACHE
		.AXI_AWLEN(AXI_AWLEN), //output [7:0] AXI_AWLEN
		.AXI_AWLOCK(AXI_AWLOCK), //output AXI_AWLOCK
		.AXI_AWPROT(AXI_AWPROT), //output [2:0] AXI_AWPROT
		.AXI_AWREADY(AXI_AWREADY), //input AXI_AWREADY
		.AXI_AWSIZE(AXI_AWSIZE), //output [2:0] AXI_AWSIZE
		.AXI_AWVALID(AXI_AWVALID), //output AXI_AWVALID
		.AXI_BREADY(AXI_BREADY), //output AXI_BREADY
		.AXI_BRESP(AXI_BRESP), //input [1:0] AXI_BRESP
		.AXI_BVALID(AXI_BVALID), //input AXI_BVALID
		.AXI_RDATA(AXI_RDATA), //input [31:0] AXI_RDATA
		.AXI_RLAST(AXI_RLAST), //input AXI_RLAST
		.AXI_RREADY(AXI_RREADY), //output AXI_RREADY
		.AXI_RRESP(AXI_RRESP), //input [1:0] AXI_RRESP
		.AXI_RVAILD(AXI_RVAILD), //input AXI_RVAILD
		.AXI_WDATA(AXI_WDATA), //output [31:0] AXI_WDATA
		.AXI_WLAST(AXI_WLAST), //output AXI_WLAST
		.AXI_WREADY(AXI_WREADY), //input AXI_WREADY
		.AXI_WSTRB(AXI_WSTRB), //output [3:0] AXI_WSTRB
		.AXI_WVALID(AXI_WVALID) //output AXI_WVALID
	);

//--------Copy end-------------------
