//Copyright (C)2014-2025 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//Tool Version: V1.9.11.02 (64-bit)
//Part Number: GW5AST-LV138FPG676AC1/I0
//Device: GW5AST-138
//Device Version: B
//Created Time: Tue May  6 09:30:51 2025

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

	AXI_to_AHB_Sync_Top your_instance_name(
		.haddr(haddr), //output [31:0] haddr
		.htrans(htrans), //output [1:0] htrans
		.hready(hready), //input hready
		.hresp(hresp), //input hresp
		.hwrite(hwrite), //output hwrite
		.hsize(hsize), //output [2:0] hsize
		.hburst(hburst), //output [2:0] hburst
		.hprot(hprot), //output [3:0] hprot
		.hwdata(hwdata), //output [31:0] hwdata
		.hrdata(hrdata), //input [31:0] hrdata
		.awaddr(awaddr), //input [31:0] awaddr
		.awlen(awlen), //input [7:0] awlen
		.awsize(awsize), //input [2:0] awsize
		.awburst(awburst), //input [1:0] awburst
		.awlock(awlock), //input awlock
		.awcache(awcache), //input [3:0] awcache
		.awprot(awprot), //input [2:0] awprot
		.awid(awid), //input [3:0] awid
		.awvalid(awvalid), //input awvalid
		.awready(awready), //output awready
		.araddr(araddr), //input [31:0] araddr
		.arlen(arlen), //input [7:0] arlen
		.arsize(arsize), //input [2:0] arsize
		.arburst(arburst), //input [1:0] arburst
		.arlock(arlock), //input arlock
		.arcache(arcache), //input [3:0] arcache
		.arprot(arprot), //input [2:0] arprot
		.arid(arid), //input [3:0] arid
		.arvalid(arvalid), //input arvalid
		.arready(arready), //output arready
		.rid(rid), //output [3:0] rid
		.rdata(rdata), //output [31:0] rdata
		.rresp(rresp), //output [1:0] rresp
		.rlast(rlast), //output rlast
		.rvalid(rvalid), //output rvalid
		.rready(rready), //input rready
		.wdata(wdata), //input [31:0] wdata
		.wstrb(wstrb), //input [3:0] wstrb
		.wlast(wlast), //input wlast
		.wvalid(wvalid), //input wvalid
		.wready(wready), //output wready
		.bid(bid), //output [3:0] bid
		.bresp(bresp), //output [1:0] bresp
		.bvalid(bvalid), //output bvalid
		.bready(bready), //input bready
		.clk(clk), //input clk
		.resetn(resetn) //input resetn
	);

//--------Copy end-------------------
